Bug 535090 - (RHQ-1821) postgres plugin config metadata bad?
postgres plugin config metadata bad?
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Rajan Timaniya
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-03-19 16:01 EDT by John Mazzitelli
Modified: 2010-08-25 05:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-25 05:08:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-03-19 16:01:00 EDT
I created a compatible group of two postgres servers. Each agent was up. Went to the config tab for a user in that group and got this in the logs:

15:59:09,625 WARN  [ConfigurationManagerBean] Could not get live configuration f
or resource [Resource[id=500167, type=User, key=postgres, name=postgres User, pa
rent=Postgres [postgres]]]org.rhq.core.clientapi.agent.PluginContainerException:
Cannot load Resource configuration for [500167] -> org.rhq.core.util.exception.W
rappedRemotingException:The column name rolcreaterol was not found in this Resul
tSet.

UI says this:

Failed to load group Resource configuration. Cause: javax.ejb.EJBException:java.lang.RuntimeException: Failed to retrieve live Resource configurations. -> java.lang.RuntimeException:Failed to retrieve live Resource configurations. -> java.util.concurrent.ExecutionException:java.lang.Exception: Failed to obtain live Resource configuration for Resource[id=500167, type=User, key=postgres, name=postgres User, parent=Postgres [postgres]]. -> java.lang.Exception:Failed to obtain live Resource configuration for Resource[id=500167, type=User, key=postgres, name=postgres User, parent=Postgres [postgres]].
Comment 1 Ian Springer 2009-03-19 23:35:56 EDT
I've also noticed "The column name rolcreaterol was not found in this ResultSet." errors periodically in the Agent log.
Comment 2 Red Hat Bugzilla 2009-11-10 15:47:23 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1821
Comment 3 wes hayutin 2010-02-16 11:55:55 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 4 wes hayutin 2010-02-16 12:01:02 EST
making sure we're not missing any bugs in rhq_triage
Comment 5 Corey Welton 2010-08-20 11:47:52 EDT
QA: see if this still occurs.  If it does, assign to Heiko for examination.  Otherwise, close.
Comment 6 Rajan Timaniya 2010-08-25 05:08:07 EDT
Verified on JON 2.4 GA

Steps:
1) Install JON 2.4 GA with 2 agents (each agent has postgres)
2) Log-in to JON
3) Create a compatible group of two postgres servers. (Each agent should up)
4) Went to the config tab for a user in that group and observed server and agent logs

Observation:
There isn't any error/exception found in UI or server/agents log.

Note You need to log in before you can comment on or make changes to this bug.